const MODULE_NAME = 'SENDER';

const logger = require('tektrans-logger');

let bot;

const init = (botFromCaller) => {
    logger.verbose(`${MODULE_NAME} D74B30FF: Sender initialized`);
    bot = botFromCaller;
};
exports.init = init;

const send = (partner, msg, xid, silent) => {
    if (!bot) {
        logger.verbose(`${MODULE_NAME} 78B04B3B: Not sending message because bot has not been initialized`, {
            xid,
            partner,
            msg,
        });

        return;
    }

    if (!silent) {
        logger.verbose(`${MODULE_NAME} 648A5F17: Sending message`, {
            xid,
            partner,
            msg,
        });
    }

    try {
        bot.send(partner, msg);
    } catch (e) {
        logger.warn(`${MODULE_NAME} C50237D8: Exception on sending message`, {
            xid,
            eCode: e.code,
            eMessage: e.message || e,
        });
    }
};
exports.send = send;
